#pragma once

namespace seallib
{
    class Logger;
}

class ProxyConfigurator
{
    public:
        ProxyConfigurator();
        ~ProxyConfigurator();

        bool setProxy(const char* ip, unsigned short port);
        bool clearProxy();

    private:
        seallib::Logger* _log = nullptr;
};
